SegmentReadState (Lucene 10.5.1 core API)
Description: declaration: package: org.apache.lucene.index, class: SegmentReadState

Package org.apache.lucene.index

# Class SegmentReadState

java.lang.Object
org.apache.lucene.index.SegmentReadState

public class SegmentReadState extends Object
Holder class for common parameters used during read.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final IOContext`
  `context`
  `IOContext` to pass to `Directory.openInput(String,IOContext)`.
  `final Directory`
  `directory`
  `Directory` where this segment is read from.
  `final FieldInfos`
  `fieldInfos`
  `FieldInfos` describing all fields in this segment.
  `final SegmentInfo`
  `segmentInfo`
  `SegmentInfo` describing this segment.
  `final String`
  `segmentSuffix`
  Unique suffix for any postings files read for this segment.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SegmentReadState(SegmentReadState other, String newSegmentSuffix)`
  Create a `SegmentReadState`.
  `SegmentReadState(Directory dir, SegmentInfo info, FieldInfos fieldInfos, IOContext context)`
  Create a `SegmentReadState`.
  `SegmentReadState(Directory dir, SegmentInfo info, FieldInfos fieldInfos, IOContext context, String segmentSuffix)`
  Create a `SegmentReadState`.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### directory

    public final Directory directory
    `Directory` where this segment is read from.

  - ### segmentInfo

    public final SegmentInfo segmentInfo
    `SegmentInfo` describing this segment.

  - ### fieldInfos

    public final FieldInfos fieldInfos
    `FieldInfos` describing all fields in this segment.

  - ### context

    public final IOContext context
    `IOContext` to pass to `Directory.openInput(String,IOContext)`.

  - ### segmentSuffix

    public final String segmentSuffix
    Unique suffix for any postings files read for this segment. `PerFieldPostingsFormat` sets this for each of the postings formats it wraps. If you create a new `PostingsFormat` then any files you write/read must be derived using this suffix (use `IndexFileNames.segmentFileName(String,String,String)`).

- ## Constructor Details

  - ### SegmentReadState

    public SegmentReadState(Directory dir, SegmentInfo info, FieldInfos fieldInfos, IOContext context)
    Create a `SegmentReadState`.

  - ### SegmentReadState

    public SegmentReadState(Directory dir, SegmentInfo info, FieldInfos fieldInfos, IOContext context, String segmentSuffix)
    Create a `SegmentReadState`.

  - ### SegmentReadState

    public SegmentReadState(SegmentReadState other, String newSegmentSuffix)
    Create a `SegmentReadState`.